{% extends 'base.html.twig' %}

{% block website %}

    <div class="breadcrumbs">
        <div class="inner">
            <a href="{{ path('home') }}" class="breadcrumbs-item">Главная</a>
            <a href="{{ path('catalog') }}" class="breadcrumbs-item">Каталог</a>
            {% for breadcrumb in product.category.id|catalogBreadcrumbs %}
                <a href="{{ path('catalogItem', {'path' : breadcrumb['id']|path}) }}" class="breadcrumbs-item">{{ breadcrumb['name'] }}</a>
            {% endfor %}
            <a href="{{ path('catalogItem', {'path' : product.category.id|path}) }}" class="breadcrumbs-item">{{ product.category.name }}</a>
        </div>
    </div>

    <section>
        <div class="inner">
            <div class="head-title">{{ product.name }}</div>
            <div class="product-card">
                {% if product.productGallery.count > 0 %}
                    <div class="product-card__preview">
                        <div class="product-card__preview-main">
                            <div class="product-card__preview-main-inner"><a href="{{ asset('assets/uploads/images/' ~ product.productGallery.get(0).filename|visual)}}"><img src="{{ asset('assets/uploads/images/' ~ product.productGallery.get(0).filename|visual) | imagine_filter('medium')}}"></a></div>
                        </div>
                        {% if product.productGallery.count > 1 %}
                        <div class="product-card__preview-thumbs">
                            {% for image in product.productGallery %}
                                {% if not loop.first %}
                                    <div class="product-card__preview-thumb">
                                        <div class="product-card__preview-thumb-inner"><a href="{{ asset('assets/uploads/images/' ~ image.filename|visual)}}"><img src="{{ asset('assets/uploads/images/' ~ image.filename|visual) | imagine_filter('small')}}"></a></div>
                                    </div>
                                {% endif %}
                            {% endfor %}
                        </div>
                        {% endif %}
                    </div>
                {% else %}
                    <div class="product-card__preview">
                        <div class="product-card__preview-main">
                            <div class="product-card__preview-main-inner">
                                <img src="{{ asset('assets/img/cup-1.svg') }}"/>
                            </div>
                        </div>
                    </div>
                {% endif %}
                <div class="product-card__description">
                    <div class="product-card__description-head">
                        <div class="product-card__description-price"><i>₽</i> {{ product.price }}</div>
                        <div class="product-card__description-add">
                            <div class="btn fill {% if product.id in cartIds %}incart{% endif %}" data-cart-added="{% if product.id in cartIds %}true{% else %}false{% endif %}" data-cart-id="{{ product.id }}">{% if product.id in cartIds %}Убрать из корзины{% else %}Добавить в корзину{% endif %}</div>
                        </div>
                    </div>
                    <div class="product-card__description-name">Артикул:</div>
                    <div class="product-card__description-value">{{ product.vendorCode }}</div>
                    <div class="product-card__description-name">Название:</div>
                    <div class="product-card__description-value">{{ product.name }}</div>
                    <div class="product-card__description-name">Категория:</div>
                    <div class="product-card__description-value">
                        <a href="{{ path('catalogItem', {'path' : product.category.id|path}) }}">{{ product.category.name }}</a>
                    </div>
                    {% if product.materials.count > 0 %}
                        <div class="product-card__description-name">Материалы:</div>
                        <div class="product-card__description-value">
                            {% for material in product.materials %}
                                <a href="{{ path('products', {'material' : material.id}) }}">{{ material.name }}</a>
                            {% endfor %}
                        </div>
                    {% endif %}
                </div>
            </div>
            {% if product.description %}
            <div class="article-content">
                <h2>Описание</h2>
                {{ product.description | raw }}
            </div>
            {% endif %}
        </div>
    </section>

    {% if product.tags.count > 0 %}
    <section>
        <div class="inner">
            <div class="article-content">
                {% for tag in product.tags %}
                   <a href="{{ path('products', {'tag' : tag.id}) }}">#{{ tag.name }}</a>&nbsp;&nbsp;
                {% endfor %}
            </div>

            {% if articles is not null %}
                <hr>
                <div class="article-list">
                    {{ articles | raw }}
                </div>
            {% endif %}
        </div>
    </section>
    {% endif %}

{% endblock %}

{% block microdata %}
<script type='application/ld+json'>
{
    "@context": "https://www.schema.org",
    "@graph": [
    {
        "@type": "Product",
        "brand": "Сувенирный промысел",
        "logo": "http://www.example.com/logo.png",
        "name": "{{ product.name }}",
        "category": "{{ product.category.name }}",
    {% if product.productGallery.count == 1 %}
        "image": "{{ absolute_url(asset('assets/uploads/images/' ~ product.productGallery[0].filename|visual)) }}",
    {% elseif product.productGallery.count > 1 %}
        "image": [
    {% for image in product.productGallery %}
        {% if not loop.last %}
            "{{ absolute_url(asset('assets/uploads/images/' ~ image.filename|visual)) }}",
    {% else %}
            "{{ absolute_url(asset('assets/uploads/images/' ~ image.filename|visual)) }}"
    {% endif %}
        {% endfor %}
        ],
    {% endif %}
        "description": "{{ product.description | replace({"\n":"<br> "}) | striptags }}",
        "sku": "{{ product.vendorCode }}",
        "offers": {
            "@type": "Offer",
            "priceCurrency": "RUB",
            "price": "{{ product.price }}"
        }
    },
    {
        "@type": "BreadcrumbList",
        "itemListElement": [
            {
                "@type": "ListItem",
                "position": 1,
                "name": "Главная",
                "item": "{{ url('home') }}"
            },
            {
                "@type": "ListItem",
                "position": 2,
                "name": "Каталог",
                "item": "{{ url('catalog') }}"
            },
{% for breadcrumb in product.category.id|catalogBreadcrumbs %}
            {
                "@type": "ListItem",
                "position": 3,
                "name": "{{ breadcrumb['name'] }}",
                "item": "{{ url('catalogItem', {'path' : breadcrumb['id']|path}) }}"
            },
{% endfor %}
            {
                "@type": "ListItem",
                "position": 3,
                "name": "{{ product.category.name }}",
                "item": "{{ url('catalogItem', {'path' : product.category.id|path}) }}"
            },
            {
                "@type": "ListItem",
                "position": 4,
                "name": "{{ product.name }}",
                "item": "{{ url('productsItem', {'slug' : product.slug}) }}"
            }
        ]
    }
  ]
}
</script>
{% endblock %}